## ssbind
Class SubHitFilter

    java.lang.Object
      org.biojava.bio.search.SearchContentFilter
          ssbind.SubHitFilter

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

Direct Known Subclasses:
  FilterByValue

    public abstract class SubHitFilter

extends org.biojava.bio.search.SearchContentFilter

Abstract base class for things that will allow or disallow whole sub hit messages through to the next handler.

Author:
  Matthew Pocock

Constructor Summary
`SubHitFilter(org.biojava.bio.search.SearchContentHandler delegate)`

Method Summary
`protected abstract boolean` `accept(Object key, Object val)`
`void` `addSubHitProperty(Object key, Object value)`
`void` `endSubHit()`
`void` `startSubHit()`

Methods inherited from class org.biojava.bio.search.SearchContentFilter
`addHitProperty, addSearchProperty, endHeader, endHit, endSearch, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubHitFilter

    public SubHitFilter(org.biojava.bio.search.SearchContentHandler delegate)

Method Detail

### addSubHitProperty

    public void addSubHitProperty(Object key,
                                  Object value)

  Specified by:
    `addSubHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addSubHitProperty` in class `org.biojava.bio.search.SearchContentFilter`

### startSubHit

    public void startSubHit()

  Specified by:
    `startSubHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `startSubHit` in class `org.biojava.bio.search.SearchContentFilter`

### endSubHit

    public void endSubHit()

  Specified by:
    `endSubHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `endSubHit` in class `org.biojava.bio.search.SearchContentFilter`

### accept

    protected abstract boolean accept(Object key,
                                      Object val)